#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include "designer/ndewidgetmaterialcircularprogress.h"
#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE
namespace NdeWidget {
    class QMaterialToggle;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

public Q_SLOTS:
    void updateWidget();

private:
    Ui::MainWindow *ui;
    NdeWidget::QMaterialToggle * mToggle1;
    NdeWidget::QMaterialToggle * mToggle2;
    NdeWidget::QMaterialCircularProgress * circularProgress;
};
#endif // MAINWINDOW_H
